Progress API: Periods

Retrieves one specific period

get
Authorizations
BearerstringRequired
Path parameters
periodstring · uuidRequired
Responses
get
/api/progress/periods/{period}
200

OK

Checks for the existence of one specific period

head
Authorizations
BearerstringRequired
Path parameters
periodstring · uuidRequired
Responses
head
/api/progress/periods/{period}
200

OK

Collects the list of periods that match specific criteria

post
Authorizations
BearerstringRequired
Body
identifierstring · uuid | nullableOptional
organizationIdstring · uuidOptional
namestring | nullableOptional
endBeforestring · date-time | nullableOptional
endSincestring · date-time | nullableOptional
startBeforestring · date-time | nullableOptional
startSincestring · date-time | nullableOptional
Responses
post
/api/progress/periods/collect
200

OK

Counts the periods that match specific criteria

post
Authorizations
BearerstringRequired
Body
identifierstring · uuid | nullableOptional
organizationIdstring · uuidOptional
namestring | nullableOptional
endBeforestring · date-time | nullableOptional
endSincestring · date-time | nullableOptional
startBeforestring · date-time | nullableOptional
startSincestring · date-time | nullableOptional
Responses
post
/api/progress/periods/count
200

OK

Downloads the list of periods that match specific criteria

post
Authorizations
BearerstringRequired
Body
identifierstring · uuid | nullableOptional
organizationIdstring · uuidOptional
namestring | nullableOptional
endBeforestring · date-time | nullableOptional
endSincestring · date-time | nullableOptional
startBeforestring · date-time | nullableOptional
startSincestring · date-time | nullableOptional
Responses
post
/api/progress/periods/download
200

OK

No content

Searches for the list of periods that match specific criteria

post
Authorizations
BearerstringRequired
Body
identifierstring · uuid | nullableOptional
organizationIdstring · uuidOptional
namestring | nullableOptional
endBeforestring · date-time | nullableOptional
endSincestring · date-time | nullableOptional
startBeforestring · date-time | nullableOptional
startSincestring · date-time | nullableOptional
Responses
post
/api/progress/periods/search
200

OK

Last updated

Was this helpful?